model = pb.Model(group6_tmd.monolayer_3band("MoS2"), pb.translational_symmetry())
solver = pb.solver.lapack(model)

k_points = model.lattice.brillouin_zone()
gamma = [0, 0]
k = k_points[0]
m = (k_points[0] + k_points[1]) / 2

plt.figure(figsize=(6.7, 2.3))

plt.subplot(121, title="MoS2 3-band model band structure")
bands = solver.calc_bands(gamma, k, m, gamma)
bands.plot(point_labels=[r"$\Gamma$", "K", "M", r"$\Gamma$"])

plt.subplot(122, title="Band structure path in reciprocal space")
model.lattice.plot_brillouin_zone(decorate=False)
bands.plot_kpath(point_labels=[r"$\Gamma$", "K", "M", r"$\Gamma$"])